orte/mca/gpr/replica/transition_layer/gpr_replica_segment_tl.c File Reference.TH "orte/mca/gpr/replica/transition_layer/gpr_replica_segment_tl.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/transition_layer/gpr_replica_segment_tl.c \- The Open MPI general purpose registry - support functions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_find_seg\fP (\fBorte_gpr_replica_segment_t\fP **seg, bool create, char *segment)"
.br
.RI "\fIFind a requested registry segment. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - support functions. 


.SH "Function Documentation"
.PP 
.SS "int orte_gpr_replica_find_seg (\fBorte_gpr_replica_segment_t\fP ** seg, bool create, char * segment)"
.PP
Find a requested registry segment. 
.PP
The function finds the registry segment corresponding to the specified name.
.PP
\fBParameters:\fP
.RS 4
\fI*seg\fP (OUT) Pointer to the segment 
.br
\fIcreate\fP (IN) A boolean that indicates whether or not to create the segment if it doesn't already exist. TRUE => create it, FALSE => don't create it. 
.br
\fIsegment\fP (IN) Pointer to a string containing the name of the segment to be found.
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP Operation successful 
.br
\fIORTE_ERROR(s)\fP Appropriate error code returned 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
